GET /api/v1/workflows/{id} — Get Workflow by ID
The "Get Workflow by ID" API method is used to retrieve detailed information about a specific workflow instance based on its unique identifier (ID).
Authentication
SadqAuthorize
Request Headers
- Authorization (required)
- Bearer {token}
Path Parameters
- id (string, required)
- The unique identifier (GUID) of the workflow to retrieve.
Responses
HTTP 200 — Workflow details
{
"data": {
"id": "575f0d6b-f4be-4543-90e0-ca473ded3758",
"accountId": "c0f63b10-f2e5-44e7-93b3-c78189ce392b",
"nameAr": "Test Integration 9",
"nameEn": "Test Integration 9",
"isActive": true,
"isDeleted": false,
"creatorId": "6e71bfed-63b0-47c6-8733-65ba15d7f127",
"workflowDestinations": [
{
"id": "62529c87-cf62-4a8f-a07e-1738874e40ec",
"workflowId": "575f0d6b-f4be-4543-90e0-ca473ded3758",
"accountId": "c0f63b10-f2e5-44e7-93b3-c78189ce392b",
"name": "test203",
"email": "Test_20@Sadq.Sa",
"phone": null,
"order": 2,
"authenticationType": 1,
"destinationType": 1
},
{
"id": "a89ae641-4dd3-4915-bf8f-ba31bd365619",
"workflowId": "575f0d6b-f4be-4543-90e0-ca473ded3758",
"accountId": "c0f63b10-f2e5-44e7-93b3-c78189ce392b",
"name": "hussein",
"email": "huss66n@gmail.com",
"phone": null,
"order": 1,
"authenticationType": 1,
"destinationType": 3
},
{
"id": "c88dbe54-cb54-4e0e-896e-c483c41662e8",
"workflowId": "575f0d6b-f4be-4543-90e0-ca473ded3758",
"accountId": "c0f63b10-f2e5-44e7-93b3-c78189ce392b",
"name": "Alaa",
"email": "a.darweesh@sadq.sa",
"phone": null,
"order": 3,
"authenticationType": 0,
"destinationType": 1
}
]
},
"errorCode": 0,
"message": null,
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}